> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token metadata

> Get the metadata of a specified token.



## OpenAPI

````yaml get /v1/token/metadata
openapi: 3.0.2
info:
  title: 🪙 Token API
  version: v1.0.0
servers:
  - url: https://api.chainbase.online
    description: production server
security: []
paths:
  /v1/token/metadata:
    get:
      tags:
        - Token Metadata
      summary: Get token metadata
      description: Get the metadata of a specified token.
      operationId: GetTokenMetadata
      parameters:
        - description: >-
            chain network id, see [list of
            details](/platform/features/api/web3-api)
          required: true
          schema:
            title: Chain Id
            type: string
            description: >-
              chain network id, see [list of
              details](/platform/features/api/web3-api)
          example: '1'
          name: chain_id
          in: query
        - description: The address of the token contract
          required: true
          schema:
            title: Contract Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: The address of the token contract
          example: '0x7d1afa7b718fb893db30a3abc0cfc608aacfebb0'
          name: contract_address
          in: query
        - required: true
          schema:
            title: X-Api-Key
            type: string
            example: demo
          example: demo
          name: x-api-key
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetTokenMetadata'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ResponseGetTokenMetadata:
      title: ResponseGetTokenMetadata
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 0
        message:
          title: Message
          type: string
          default: ok
        data:
          $ref: '#/components/schemas/TokenMetaBase'
    ErrorMessage:
      title: ErrorMessage
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
    TokenMetaBase:
      title: TokenMetaBase
      required:
        - contract_address
        - decimals
        - name
        - symbol
      type: object
      properties:
        contract_address:
          title: Contract Address
          type: string
          description: ERC-20 contract address.
        decimals:
          title: Decimals
          type: integer
          description: The number of decimals the token uses.
        name:
          title: Name
          type: string
          description: The name of the ERC-20 token.
        symbol:
          title: Symbol
          type: string
          description: The symbol of the ERC-20 token.
        total_supply:
          title: Total Supply
          type: string
          description: The total supply of the ERC-20 token.
        logos:
          title: Logos
          type: array
          items:
            $ref: '#/components/schemas/TokenMetaLogo'
          description: List of logo images for the ERC-20 token.
        urls:
          title: Urls
          type: array
          items:
            $ref: '#/components/schemas/TokenMetaURL'
          description: List of urls for the ERC-20 token.
        current_usd_price:
          title: Current Usd Price
          type: number
          description: The current price of the ERC-20 token in USD.
    TokenMetaLogo:
      title: TokenMetaLogo
      required:
        - uri
        - width
        - height
      type: object
      properties:
        uri:
          title: Uri
          type: string
          description: URI for the logo image.
        width:
          title: Width
          type: integer
          description: The logo image's approximate width in pixels.
        height:
          title: Height
          type: integer
          description: The logo image's approximate height in pixels.
    TokenMetaURL:
      title: TokenMetaURL
      required:
        - name
        - url
      type: object
      properties:
        name:
          title: Name
          type: string
          description: The name of the link.
        url:
          title: Url
          type: string
          description: The URL of the link.

````